curl https://api.settlx.io/api/v1/chains
{
"data": [
{
"name": "ethereum",
"displayName": "Ethereum",
"chainType": "evm",
"nativeCurrency": "ETH",
"supportedTokens": [
{
"symbol": "ETH",
"name": "Ether",
"contractAddress": null,
"decimals": 18,
"standard": "NATIVE",
"iconUrl": null
},
{
"symbol": "USDT",
"name": "Tether USD",
"contractAddress": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
"decimals": 6,
"standard": "ERC20",
"iconUrl": "https://cdn.settlx.io/tokens/usdt.png"
},
{
"symbol": "USDC",
"name": "USD Coin",
"contractAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"decimals": 6,
"standard": "ERC20",
"iconUrl": "https://cdn.settlx.io/tokens/usdc.png"
}
]
},
{
"name": "tron",
"displayName": "Tron",
"chainType": "tron",
"nativeCurrency": "TRX",
"supportedTokens": [
{
"symbol": "TRX",
"name": "TRON",
"contractAddress": null,
"decimals": 6,
"standard": "NATIVE",
"iconUrl": null
},
{
"symbol": "USDT",
"name": "Tether USD",
"contractAddress": "TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t",
"decimals": 6,
"standard": "TRC20",
"iconUrl": "https://cdn.settlx.io/tokens/usdt.png"
}
]
}
]
}
Reference
List Chains
Retrieve all supported blockchain networks and their tokens
GET
/
api
/
v1
/
chains
curl https://api.settlx.io/api/v1/chains
{
"data": [
{
"name": "ethereum",
"displayName": "Ethereum",
"chainType": "evm",
"nativeCurrency": "ETH",
"supportedTokens": [
{
"symbol": "ETH",
"name": "Ether",
"contractAddress": null,
"decimals": 18,
"standard": "NATIVE",
"iconUrl": null
},
{
"symbol": "USDT",
"name": "Tether USD",
"contractAddress": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
"decimals": 6,
"standard": "ERC20",
"iconUrl": "https://cdn.settlx.io/tokens/usdt.png"
},
{
"symbol": "USDC",
"name": "USD Coin",
"contractAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"decimals": 6,
"standard": "ERC20",
"iconUrl": "https://cdn.settlx.io/tokens/usdc.png"
}
]
},
{
"name": "tron",
"displayName": "Tron",
"chainType": "tron",
"nativeCurrency": "TRX",
"supportedTokens": [
{
"symbol": "TRX",
"name": "TRON",
"contractAddress": null,
"decimals": 6,
"standard": "NATIVE",
"iconUrl": null
},
{
"symbol": "USDT",
"name": "Tether USD",
"contractAddress": "TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t",
"decimals": 6,
"standard": "TRC20",
"iconUrl": "https://cdn.settlx.io/tokens/usdt.png"
}
]
}
]
}
List Chains
Returns all enabled blockchain networks supported by Settlx, along with the tokens available on each chain. This endpoint does not require authentication. Use it to populate chain and token selectors in your checkout UI.Response
Show Chain objects
Show Chain objects
Chain identifier used in other API calls (e.g.
ethereum, bsc, solana, tron, bitcoin)Human-readable chain name (e.g.
Ethereum, BNB Smart Chain)Chain type. One of:
evm, solana, tron, bitcoinNative currency symbol (e.g.
ETH, BNB, SOL, TRX, BTC)List of tokens supported on this chain, including the native currency.Each token contains:
symbol— token symbol (e.g.USDT)name— full token name (e.g.Tether USD)contractAddress— contract address (nullfor native currencies)decimals— token decimalsstandard— token standard (NATIVE,ERC20,TRC20,SPL, etc.)iconUrl— token icon URL (may benull)
curl https://api.settlx.io/api/v1/chains
{
"data": [
{
"name": "ethereum",
"displayName": "Ethereum",
"chainType": "evm",
"nativeCurrency": "ETH",
"supportedTokens": [
{
"symbol": "ETH",
"name": "Ether",
"contractAddress": null,
"decimals": 18,
"standard": "NATIVE",
"iconUrl": null
},
{
"symbol": "USDT",
"name": "Tether USD",
"contractAddress": "0xdAC17F958D2ee523a2206206994597C13D831ec7",
"decimals": 6,
"standard": "ERC20",
"iconUrl": "https://cdn.settlx.io/tokens/usdt.png"
},
{
"symbol": "USDC",
"name": "USD Coin",
"contractAddress": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"decimals": 6,
"standard": "ERC20",
"iconUrl": "https://cdn.settlx.io/tokens/usdc.png"
}
]
},
{
"name": "tron",
"displayName": "Tron",
"chainType": "tron",
"nativeCurrency": "TRX",
"supportedTokens": [
{
"symbol": "TRX",
"name": "TRON",
"contractAddress": null,
"decimals": 6,
"standard": "NATIVE",
"iconUrl": null
},
{
"symbol": "USDT",
"name": "Tether USD",
"contractAddress": "TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t",
"decimals": 6,
"standard": "TRC20",
"iconUrl": "https://cdn.settlx.io/tokens/usdt.png"
}
]
}
]
}
⌘I